// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : DefectRecord的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
var DefectRecord_PlantNr = grmi.NewField("PlantNr", "QM_DefectRecord.PlantNr", "plantnr", grmi.TypeInt)
var DefectRecord_RecNr = grmi.NewField("RecNr", "QM_DefectRecord.RecNr", "recnr", grmi.TypeInt)
var DefectRecord_SerialOrderId = grmi.NewField("SerialOrderId", "QM_DefectRecord.SerialOrderId", "serialorderid", grmi.TypeString)
var DefectRecord_OperationNr = grmi.NewField("OperationNr", "QM_DefectRecord.OperationNr", "operationnr", grmi.TypeInt)
var DefectRecord_Qty = grmi.NewField("Qty", "QM_DefectRecord.qty", "qty", grmi.TypeInt)
var DefectRecord_ViewId = grmi.NewField("ViewId", "QM_DefectRecord.ViewId", "viewid", grmi.TypeString)
var DefectRecord_ViewDescr = grmi.NewField("ViewDescr", "QM_DefectRecord.ViewDescr", "viewdescr", grmi.TypeString)
var DefectRecord_ViewPicture = grmi.NewField("ViewPicture", "QM_DefectRecord.ViewPicture", "viewpicture", grmi.TypeString)
var DefectRecord_ViewCode = grmi.NewField("ViewCode", "QM_DefectRecord.ViewCode", "viewcode", grmi.TypeInt)
var DefectRecord_Width = grmi.NewField("Width", "QM_DefectRecord.Width", "width", grmi.TypeInt)
var DefectRecord_Height = grmi.NewField("Height", "QM_DefectRecord.Height", "height", grmi.TypeInt)
var DefectRecord_EndProduct = grmi.NewField("EndProduct", "QM_DefectRecord.EndProduct", "endproduct", grmi.TypeString)
var DefectRecord_AreaId = grmi.NewField("AreaId", "QM_DefectRecord.AreaId", "areaid", grmi.TypeInt)
var DefectRecord_XStart = grmi.NewField("XStart", "QM_DefectRecord.XStart", "xstart", grmi.TypeInt)
var DefectRecord_XEnd = grmi.NewField("XEnd", "QM_DefectRecord.XEnd", "xend", grmi.TypeInt)
var DefectRecord_YStart = grmi.NewField("YStart", "QM_DefectRecord.YStart", "ystart", grmi.TypeInt)
var DefectRecord_YEnd = grmi.NewField("YEnd", "QM_DefectRecord.YEnd", "yend", grmi.TypeInt)
var DefectRecord_XPos = grmi.NewField("XPos", "QM_DefectRecord.XPos", "xpos", grmi.TypeInt)
var DefectRecord_YPos = grmi.NewField("YPos", "QM_DefectRecord.YPos", "ypos", grmi.TypeInt)
var DefectRecord_ReworkplaceId = grmi.NewField("ReworkplaceId", "QM_DefectRecord.ReworkplaceId", "reworkplaceid", grmi.TypeString)
var DefectRecord_Status = grmi.NewField("Status", "QM_DefectRecord.status", "status", grmi.TypeString)
var DefectRecord_DefectGrpId = grmi.NewField("DefectGrpId", "QM_DefectRecord.DefectGrpId", "defectgrpid", grmi.TypeString)
var DefectRecord_DefectGrpDescr = grmi.NewField("DefectGrpDescr", "QM_DefectRecord.DefectGrpDescr", "defectgrpdescr", grmi.TypeString)
var DefectRecord_DefectReasonId = grmi.NewField("DefectReasonId", "QM_DefectRecord.DefectReasonId", "defectreasonid", grmi.TypeString)
var DefectRecord_DefectDescr = grmi.NewField("DefectDescr", "QM_DefectRecord.DefectDescr", "defectdescr", grmi.TypeString)
var DefectRecord_InspectTime = grmi.NewField("InspectTime", "QM_DefectRecord.InspectTime", "inspecttime", grmi.TypeDateTime)
var DefectRecord_InspectShiftId = grmi.NewField("InspectShiftId", "QM_DefectRecord.InspectShiftId", "inspectshiftid", grmi.TypeString)
var DefectRecord_Inspector = grmi.NewField("Inspector", "QM_DefectRecord.Inspector", "inspector", grmi.TypeString)
var DefectRecord_ReworkTime = grmi.NewField("ReworkTime", "QM_DefectRecord.ReworkTime", "reworktime", grmi.TypeDateTime)
var DefectRecord_ReworkShiftId = grmi.NewField("ReworkShiftId", "QM_DefectRecord.ReworkShiftId", "reworkshiftid", grmi.TypeString)
var DefectRecord_Reworker = grmi.NewField("Reworker", "QM_DefectRecord.Reworker", "reworker", grmi.TypeString)
var DefectRecord_BuildCode = grmi.NewField("BuildCode", "QM_DefectRecord.BuildCode", "buildcode", grmi.TypeString)
var DefectRecord_DDCCustC1 = grmi.NewField("DDCCustC1", "QM_DefectRecord.DDC_CustC1", "ddccustc1", grmi.TypeString)
var DefectRecord_DDCCustC2 = grmi.NewField("DDCCustC2", "QM_DefectRecord.DDC_CustC2", "ddccustc2", grmi.TypeString)
var DefectRecord_DDCCustC3 = grmi.NewField("DDCCustC3", "QM_DefectRecord.DDC_CustC3", "ddccustc3", grmi.TypeString)
var DefectRecord_DDCCustC4 = grmi.NewField("DDCCustC4", "QM_DefectRecord.DDC_CustC4", "ddccustc4", grmi.TypeString)
var DefectRecord_DDCCustI1 = grmi.NewField("DDCCustI1", "QM_DefectRecord.DDC_CustI1", "ddccusti1", grmi.TypeInt)
var DefectRecord_DDCCustI2 = grmi.NewField("DDCCustI2", "QM_DefectRecord.DDC_CustI2", "ddccusti2", grmi.TypeInt)
var DefectRecord_DDCCustI3 = grmi.NewField("DDCCustI3", "QM_DefectRecord.DDC_CustI3", "ddccusti3", grmi.TypeInt)
var DefectRecord_DDCCustI4 = grmi.NewField("DDCCustI4", "QM_DefectRecord.DDC_CustI4", "ddccusti4", grmi.TypeInt)
var DefectRecord_DDCCustT1 = grmi.NewField("DDCCustT1", "QM_DefectRecord.DDC_CustT1", "ddccustt1", grmi.TypeDateTime)
var DefectRecord_DDCCustT2 = grmi.NewField("DDCCustT2", "QM_DefectRecord.DDC_CustT2", "ddccustt2", grmi.TypeDateTime)
var DefectRecord_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "QM_DefectRecord.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var DefectRecord_LastModify = grmi.NewField("LastModify", "QM_DefectRecord.LastModify", "lastmodify", grmi.TypeDateTime)
var DefectRecord_LastUser = grmi.NewField("LastUser", "QM_DefectRecord.LastUser", "lastuser", grmi.TypeString)
var DefectRecord_CreateTime = grmi.NewField("CreateTime", "QM_DefectRecord.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : DefectRecord的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
var DefectRecord = grmi.NewEntity(
	"QM_DefectRecord",
	func() interface{} { return &model.DefectRecord{} },
	map[string]grmi.Field{
		DefectRecord_PlantNr.Name:        DefectRecord_PlantNr,
		DefectRecord_RecNr.Name:          DefectRecord_RecNr,
		DefectRecord_SerialOrderId.Name:  DefectRecord_SerialOrderId,
		DefectRecord_OperationNr.Name:    DefectRecord_OperationNr,
		DefectRecord_Qty.Name:            DefectRecord_Qty,
		DefectRecord_ViewId.Name:         DefectRecord_ViewId,
		DefectRecord_ViewDescr.Name:      DefectRecord_ViewDescr,
		DefectRecord_ViewPicture.Name:    DefectRecord_ViewPicture,
		DefectRecord_ViewCode.Name:       DefectRecord_ViewCode,
		DefectRecord_Width.Name:          DefectRecord_Width,
		DefectRecord_Height.Name:         DefectRecord_Height,
		DefectRecord_EndProduct.Name:     DefectRecord_EndProduct,
		DefectRecord_AreaId.Name:         DefectRecord_AreaId,
		DefectRecord_XStart.Name:         DefectRecord_XStart,
		DefectRecord_XEnd.Name:           DefectRecord_XEnd,
		DefectRecord_YStart.Name:         DefectRecord_YStart,
		DefectRecord_YEnd.Name:           DefectRecord_YEnd,
		DefectRecord_XPos.Name:           DefectRecord_XPos,
		DefectRecord_YPos.Name:           DefectRecord_YPos,
		DefectRecord_ReworkplaceId.Name:  DefectRecord_ReworkplaceId,
		DefectRecord_Status.Name:         DefectRecord_Status,
		DefectRecord_DefectGrpId.Name:    DefectRecord_DefectGrpId,
		DefectRecord_DefectGrpDescr.Name: DefectRecord_DefectGrpDescr,
		DefectRecord_DefectReasonId.Name: DefectRecord_DefectReasonId,
		DefectRecord_DefectDescr.Name:    DefectRecord_DefectDescr,
		DefectRecord_InspectTime.Name:    DefectRecord_InspectTime,
		DefectRecord_InspectShiftId.Name: DefectRecord_InspectShiftId,
		DefectRecord_Inspector.Name:      DefectRecord_Inspector,
		DefectRecord_ReworkTime.Name:     DefectRecord_ReworkTime,
		DefectRecord_ReworkShiftId.Name:  DefectRecord_ReworkShiftId,
		DefectRecord_Reworker.Name:       DefectRecord_Reworker,
		DefectRecord_BuildCode.Name:      DefectRecord_BuildCode,
		DefectRecord_DDCCustC1.Name:      DefectRecord_DDCCustC1,
		DefectRecord_DDCCustC2.Name:      DefectRecord_DDCCustC2,
		DefectRecord_DDCCustC3.Name:      DefectRecord_DDCCustC3,
		DefectRecord_DDCCustC4.Name:      DefectRecord_DDCCustC4,
		DefectRecord_DDCCustI1.Name:      DefectRecord_DDCCustI1,
		DefectRecord_DDCCustI2.Name:      DefectRecord_DDCCustI2,
		DefectRecord_DDCCustI3.Name:      DefectRecord_DDCCustI3,
		DefectRecord_DDCCustI4.Name:      DefectRecord_DDCCustI4,
		DefectRecord_DDCCustT1.Name:      DefectRecord_DDCCustT1,
		DefectRecord_DDCCustT2.Name:      DefectRecord_DDCCustT2,
		DefectRecord_WorkPlaceNr.Name:    DefectRecord_WorkPlaceNr,
		DefectRecord_LastModify.Name:     DefectRecord_LastModify,
		DefectRecord_LastUser.Name:       DefectRecord_LastUser,
		DefectRecord_CreateTime.Name:     DefectRecord_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"SerialOrderId", "OperationNr", "qty", "ViewId", "ViewDescr", "ViewPicture", "ViewCode", "Width", "Height", "EndProduct", "AreaId", "XStart", "XEnd", "YStart", "YEnd", "XPos", "YPos", "ReworkplaceId", "status", "DefectGrpId", "DefectGrpDescr", "DefectReasonId", "DefectDescr", "InspectTime", "InspectShiftId", "Inspector", "ReworkTime", "ReworkShiftId", "Reworker", "BuildCode", "DDC_CustC1", "DDC_CustC2", "DDC_CustC3", "DDC_CustC4", "DDC_CustI1", "DDC_CustI2", "DDC_CustI3", "DDC_CustI4", "DDC_CustT1", "DDC_CustT2", "WorkPlaceNr", "LastUser"})
